geos::triangulate::tri::TriangulationBuilder Class Reference

`#include <TriangulationBuilder.h>`

## Public Member Functions

| TriangulationBuilder (TriList< Tri > &triList)
void | add (Tri *tri)

## Static Public Member Functions

static void | build (TriList< Tri > &triList)

## Detailed Description

Builds a triangulation from a set of `Tri`s by linking adjacent Tris.

Author
  mdavis

## Member Function Documentation

## build()

void geos::triangulate::tri::TriangulationBuilder::build | ( | TriList< Tri > & | triList | ) |

static

Builds the triangulation of a set of `Tri`s.

Parameters

  triList | the list of Tris

The documentation for this class was generated from the following file:

- TriangulationBuilder.h